# Function $StateRefDirective

- $StateRefDirective(
  $stateService: any,
  $stateRegistry: any,
  $transitions: any,
  ): {
  link: (scope: any, element: any, attrs: any, ngSrefActive: any) => void;
  require: string[];
  restrict: string;
  }

  #### Parameters

  - $stateService: any
  - $stateRegistry: any
  - $transitions: any

  #### Returns {
  link: (scope: any, element: any, attrs: any, ngSrefActive: any) => void;
  require: string[];
  restrict: string;
  }

  - Defined in src/router/directives/state-directives.js:118

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

- Defined in src/router/directives/state-directives.js:117